| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
QoreNamespaceConstantIterator Class Reference

allows constants in a namespace to be iterated More...

`#include <QoreNamespace.h>`

## Public Member Functions
DLLEXPORT | QoreNamespaceConstantIterator (const QoreNamespace &ns)
| creates the iterator
virtual DLLEXPORT | ~QoreNamespaceConstantIterator ()
| destroys the object
DLLEXPORT const QoreExternalConstant & | get () const
| returns the constant
DLLEXPORT bool | next ()
| moves to the next position; returns true if on a valid position

## Detailed Description

allows constants in a namespace to be iterated

Since
  Qore 0.9

The documentation for this class was generated from the following file:

- include/qore/QoreNamespace.h